// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Inputs
{

    public sealed class ClusterConfigArgs : global::Pulumi.ResourceArgs
    {
        [Input("chunks")]
        public Input<Inputs.ChunkConfigArgs>? Chunks { get; set; }

        [Input("deviceClass")]
        public Input<string>? DeviceClass { get; set; }

        [Input("name", required: true)]
        public Input<string> Name { get; set; } = null!;

        [Input("replicas")]
        public Input<int>? Replicas { get; set; }

        public ClusterConfigArgs()
        {
        }
        public static new ClusterConfigArgs Empty => new ClusterConfigArgs();
    }
}
